updated updater fix

This commit is contained in:
naturallaw77 2023-12-03 23:49:39 -08:00
parent 8168de62a6
commit a1626f8eec

View File

@ -16,48 +16,44 @@ curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovr
else else
ssh root@localhost 'flatpak update -y' | if ! ssh root@localhost 'flatpak update -y' |
zenity --progress \ zenity --progress \
--no-cancel \ --no-cancel \
--auto-close \ --auto-close \
--pulsate \ --pulsate \
--width=500 \
--text="Updating Flatpaks" \
--title="Sovran_SystemsOS Updater"
if [[ $? -ne 0 ]]; then
echo "Could Not Update Flatpaks -- Exiting" |
zenity --text-info \
--title="Sovran_SystemsOS Updater" \
--width=500 \ --width=500 \
--text="Updating Flatpaks" \
--title="Sovran_SystemsOS Updater"; then
echo "Could Not Update Flatpaks -- Exiting" |
zenity --text-info \
--title="Sovran_SystemsOS Updater" \
--width=500 \
exit 1 exit 1
fi fi
xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'" if ! xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'"; then
if [[ $? -ne 0 ]]; then
echo "Could Not Update Sovran_SystemsOS -- Exiting" |
zenity --text-info \ echo "Could Not Update Sovran_SystemsOS -- Exiting" |
--title="Sovran_SystemsOS Updater" \
--width=500 \ zenity --text-info \
--title="Sovran_SystemsOS Updater" \
--width=500 \
exit 1 exit 1
fi fi
zenity --info \ zenity --info \
--ellipsize \ --ellipsize \
--no-wrap \ --no-wrap \
--width=500 \ --width=400 \
--title="Sovran_SystemsOS Updater" \ --title="Sovran_SystemsOS Updater" \
--text="Yay Complete! Please Reboot When You Are Ready." --text="Yay Complete! Please Reboot When You Are Ready."
fi fi
exit 0 exit 0